Subject: Re: (Fwd) Re: contains statement

From: Zheng Gengbing <[email-masked]>
Date: Fri, 24 May 1996 09:41:28 +0800 (EAT)

> >
> >
> 
> This will make my suggestion of def
> ---------------------------
> Program
>   ...
>   ...
>   contains
>     sub1
>       ...
>       end sub1
> 
>     sub2
>       ...
>       end sub2
>   end Program
> 
> ---------------------
> 
> change to
> 
> ----------------------
> Program
>   ...
>   ...
>   contains
>   sub1
>     ...
>     end sub1
> 
>   sub2
>     ...
>     end sub2
>   end Program
> -----------------------
> 
> Right? (I use indent to express the relation of father and son.)
>

	Yes , that's what I mean.

> If so, it can solve the problem of labeled control-end problem for unparse. And
> to me, it is certainly a better def compared with the current one.
> 
> HIT please check how much effort should be made in make-symbol if we
> implemented as this.
> 
> (Again, don't make any change until we all agree on how to do so.)

	As I think it is easy to do the change , 
	first rewrite makeMain_l() in makespec.c , and mantain the blob
in f90.y

***************************************************************************
*     Zheng Gengbin                 *                                     *
*                                   *                                     *
*  Dept. of Computer Science        *  Phone:  86-10-2585088              *
*         & Technology              *  Email:                             *
*                                   *      [email-masked]   *
*  Peking University P.R.China      *  Mail:                              *
*                                   *      Room 1077 ,Building 47,        *
*                                   *      Peking University, P.R.China   *
***************************************************************************